
Redmine - Feature #3976

Hide custom fields from certain roles
Status: Closed Start date: 2009-10-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be a great feature to show/hide custom fields in a project depending on the user's role.

We have some cutomers looking into our projects using the role customer and adding issues (defects / features).

Today we added a custom field that marks an issue as maintenance issue.

But this flag indicates an internal state and should not be seen by the customer.

It would be great to configure the roles that can see a custom field in the project's configuration.

Related issues:

Related to Redmine - Feature #3088: Estimated hours field able to hide role b... New 2009-04-01

Related to Redmine - Feature #7955: Display issue field depending on role New 2011-03-22

Is duplicate of Redmine - Feature #5037: Role-based issue custom field visibi... Closed 2010-03-10

History

#1 - 2011-01-26 18:01 - Marcel Hochuli

I would double this feature! Are there plans when this feature will be implemented?

#2 - 2011-05-05 18:11 - pasquale [:dedalus]

+1

#3 - 2011-07-06 12:46 - Stefan Langenmaier

I have written a plugin for this purpose.

Check it out: https://github.com/stefan-langenmaier/redmine_permits

#4 - 2013-08-06 15:38 - James Silver

Definitely need this functionality! We've been trying to figure out a way of adding an additional 'Tags' field allowing us to privately categorize tickets

away from the eyes of the client.

We have found a workaround which sort-of works for our use case for the moment (if anyone else needs this):

1. Add #hashtags to your issue in private comments (private comments were added to Redmine in #1554)

2. Use the issue search page to search for these hashtags (only those who are allowed to view private comments will get the search results).

This is obviously a very limited and hacky workaround and is no substitute for proper support for permissions on custom fields, but it may help

someone else!

#5 - 2013-08-06 20:28 - Wim DePreter

duplicate of #5037 ?

#6 - 2013-08-07 02:16 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#7 - 2013-08-07 02:17 - Toshi MARUYAMA

- Related to Feature #5037: Role-based issue custom field visibility added
#8 - 2013-08-07 08:13 - Nils Kluge

Seems to be closed by #5037

#9 - 2013-08-07 09:21 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Thank you for your feedback.

#10 - 2013-08-07 09:21 - Toshi MARUYAMA

- Related to deleted (Feature #5037: Role-based issue custom field visibility)

#11 - 2013-08-07 09:22 - Toshi MARUYAMA

- Is duplicate of Feature #5037: Role-based issue custom field visibility added
